Create a folder
An account can have up to 500 folders.
POST
/v1/foldersAuthorization
AuthorizationBearer token (OAuth access token or teakapi_ API key) · headerrequiredBearer token. Accepts either an OAuth 2.0 access token (obtained via browser sign-in; expires after 1 hour and is refreshable) or a teakapi_ API key.
Request body
requiredapplication/jsonnamestringrequired1 to 300 characters, unique per account ignoring case.
colorstringA palette color.
Allowed:
grayredorangeambergreentealbluevioletpinkResponses
201
Folder created
idstringrequirednamestringrequiredcolorstring | nullrequiredAllowed:
grayredorangeambergreentealbluevioletpinknullkindstringrequiredAllowed:
manualsmartcardCountnumberrequiredCards in the folder that are not archived or in Trash.
createdAtnumberrequiredupdatedAtnumberrequired400
Invalid name or color
409
A folder with this name exists (CONFLICT) or the account has the most folders it can (LIMIT_REACHED)